org.apache.maven.plugin

## Class PluginParameterExpressionEvaluator

- java.lang.Object
- - org.apache.maven.plugin.PluginParameterExpressionEvaluator

-     public class PluginParameterExpressionEvaluator
      extends java.lang.Object

  Version:
    $Id: PluginParameterExpressionEvaluator.java 788791 2009-06-26 17:55:26Z jdcasey $
  Author:
    Jason van Zyl

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PluginParameterExpressionEvaluator(MavenSession context, MojoExecution mojoExecution, PathTranslator pathTranslator, Logger logger, MavenProject project, java.util.Properties properties)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.File` | `alignToBaseDirectory(java.io.File file)`
    `java.lang.Object` | `evaluate(java.lang.String expr)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PluginParameterExpressionEvaluator

          public PluginParameterExpressionEvaluator(MavenSession context,
                                            MojoExecution mojoExecution,
                                            PathTranslator pathTranslator,
                                            Logger logger,
                                            MavenProject project,
                                            java.util.Properties properties)

  - ### Method Detail

    - #### evaluate

          public java.lang.Object evaluate(java.lang.String expr)
                                    throws ExpressionEvaluationException

      Throws:
        `ExpressionEvaluationException`

    - #### alignToBaseDirectory

          public java.io.File alignToBaseDirectory(java.io.File file)